Bug 825461 - Review Request: arm-cortex_m-eabi - Cross Compiling GNU binutils targeted at ARM Cortex-M devices
Review Request: arm-cortex_m-eabi - Cross Compiling GNU binutils targeted at ...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: BJ Walker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-26 11:37 EDT by Rob Spanton
Modified: 2014-06-18 05:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdulaney: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Rob Spanton 2012-05-26 11:37:30 EDT
Spec URL: https://www.studentrobotics.org/~rspanton/rpm/arm-cortex_m-eabi/arm-cortex_m-eabi-binutils-2.22-1.fc16.src.rpm
SRPM URL: https://www.studentrobotics.org/~rspanton/rpm/arm-cortex_m-eabi/arm-cortex_m3-eabi-binutils.spec
Description: A cross-compiling version of binutils for ARM Cortex-M platforms.  This is the first part of a cross-compiling toolchain for these devices.  gcc, newlib, and gdb will follow after this has been reviewed.

rpmlint outputs no errors or warnings when presented with the spec.

Fedora Account System Username: rspanton
Comment 1 Jason Tibbitts 2013-05-20 14:56:19 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Both URLs are 404 for me.
Comment 2 Rob Spanton 2013-06-11 10:43:35 EDT
Hi,

These packages are now here:
SRPM: https://xgoat.com/~rob/rpm/arm-cortex_m-eabi/arm-cortex_m-eabi-binutils-2.22-1.fc16.src.rpm
Spec: https://xgoat.com/~rob/rpm/arm-cortex_m-eabi/arm-cortex_m3-eabi-binutils.spec

I intend on updating the package to 2.23.1 soon.  I've got somewhat bored of waiting for a review :(
Comment 3 John Dulaney 2013-06-13 18:03:38 EDT
I'll give it a look.
Comment 4 John Dulaney 2013-06-17 14:07:52 EDT
rpmlint on the srpm gives me:

arm-cortex_m-eabi-binutils.src: E: description-line-too-long C assemble and link binaries for the arm-cortex_m-eabi platform, instead of for the
arm-cortex_m-eabi-binutils.src: E: invalid-spec-name
1 packages and 0 specfiles checked; 2 errors, 0 warnings.


And on the rpm:

arm-cortex_m-eabi-binutils.armv7hl: E: description-line-too-long C assemble and link binaries for the arm-cortex_m-eabi platform, instead of for the
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/objcopy /usr/bin/arm-cortex_m-eabi-objcopy
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/ld.bfd /usr/bin/arm-cortex_m-eabi-ld
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/bin/arm-cortex_m-eabi-ld.bfd /usr/arm-cortex_m-eabi/bin/ld.bfd
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/nm /usr/bin/arm-cortex_m-eabi-nm
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/ld /usr/bin/arm-cortex_m-eabi-ld.bfd
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/bin/arm-cortex_m-eabi-objdump /usr/arm-cortex_m-eabi/bin/objdump
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/bin/arm-cortex_m-eabi-strip /usr/arm-cortex_m-eabi/bin/strip
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/bin/arm-cortex_m-eabi-ranlib /usr/arm-cortex_m-eabi/bin/ranlib
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/as /usr/bin/arm-cortex_m-eabi-as
arm-cortex_m-eabi-binutils.armv7hl: W: cross-directory-hard-link /usr/arm-cortex_m-eabi/bin/ar /usr/bin/arm-cortex_m-eabi-ar
arm-cortex_m-eabi-binutils.armv7hl: W: no-manual-page-for-binary arm-cortex_m-eabi-ld.bfd
arm-cortex_m-eabi-binutils.armv7hl: W: non-standard-dir-in-usr arm-cortex_m-eabi
1 packages and 0 specfiles checked; 1 errors, 12 warnings.


rpmlint on the debuginfo rpm gives me:

arm-cortex_m-eabi-binutils-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/arm-cortex_m-eabi-binutils/binutils-2.22/bfd/elf-vxworks.c
arm-cortex_m-eabi-binutils-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/arm-cortex_m-eabi-binutils/binutils-2.22/bfd/elf-vxworks.h
1 packages and 0 specfiles checked; 2 errors, 0 warnings.


The version of the license you have listed in the spec is not the same as in COPYING; in COPYING it is GPLv2, spec lists GPLv3+

Are you sure that texinfo is the only build requires?  Regular binutils requires quite a bit more


Fix the above, and I'll aprove.
Comment 5 Rob Spanton 2013-12-29 20:37:30 EST
Hi John,

I've finally got around to dealing with the issues you've raised, and I've updated the version in the process.

New spec: https://xgoat.com/~rob/rpm/arm-cortex_m-eabi/arm-cortex_m3-eabi-binutils.spec
New SRPM: https://xgoat.com/~rob/rpm/arm-cortex_m-eabi/arm-cortex_m-eabi-binutils-2.24-1.fc20.src.rpm

rpmlint will give you some warnings from those, but these are apparently to be expected from cross-compiling things.  This thread: https://lists.fedoraproject.org/pipermail/devel/2012-January/160806.html contains someone asking questions about those rpmlint warnings.  The warnings from rpmlint fall into the following groups:

 - cross-directory-hard-link: According to that thread (and other shipping cross-compiling binutils, e.g. avr-binutils), this is OK.

 - non-standard-dir-in-usr: This is a feature of the cross-compiling toolchain.  Again dealt with in that thread, and also following suit on the behaviour of other already shipping cross-compiling binutils packages.

The BuildRequires of just texinfo appears to be fine to me.  It builds in mock with no problems.

Regarding the licence:  The sources contain GPL v2+ and v3+.  I'm following suit on what the binutils package does, and labelling this as GPLv3+.  I assume this is correct.

Cheers,

Rob

Note You need to log in before you can comment on or make changes to this bug.